Subject: bug#35367: 26.2; `dired-copy-how-to-fn' and HOW-TO arg of `dired-create-files'

From: Drew Adams <[email-masked]>
Date: Thu, 11 Jul 2019 20:33:47 -0700 (PDT)

> > Kinda seems odd that we'd have created a
> > variable for something that someone _might_
> > want to do (but probably never has done).
> >
> > Usually, when someone proposes something
> > like that it gets rejected as fulfilling
> > only a hypothetical need.
> 
> Indeed.  Maybe there were consumers of dired-copy-how-to-fn back in the
> 1990s.  While poking around in the sources I noticed a comment in
> vc-dir.el saying that it *used to be* based on dired.  (Or maybe whoever
> was the Emacs maintainer at the time thought dired-copy-how-to-fn was a
> cool idea and didn't insist on having a consumer for it.)
> 
> > Anyway, if the variable will stay then it
> > would be great if the doc could be fixed
> > a bit, based on some of what you said here.
> 
> I can try proposing clearer wording for the dired-do-create-files
> docstring, though it'll probably be several days before I can get to it.
> 
> I want to be cautious about proposing ways to use dired-copy-how-to-fn.
> My earlier comments were based on my reading of the documentation and a
> tiny bit of testing.  I wasn't involved with Emacs development when the
> dired how-to stuff was introduced, so I don't have any special insights
> into what the thinking was at the time.  Though the more I think about
> my tarfile example, the more I think it'd be a fun little hack.

Sounds good.  I don't think you have to worry
about hurrying.  Instead of several days it
could probably be several years (decades?)
without anyone noticing. ;-)